> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get instance console URL



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/instances/{project_id}/{region_id}/{instance_id}/get_console
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/instances/{project_id}/{region_id}/{instance_id}/get_console:
    get:
      tags:
        - Instances
      summary: Get instance console URL
      operationId: InstanceConsoleHandler.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            type: integer
        - in: path
          name: instance_id
          required: true
          description: Instance ID
          schema:
            type: string
        - in: query
          name: console_type
          required: false
          description: Console type
          schema:
            type: string
      responses:
        '200':
          description: Remote console data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RemoteConsoleSerializer'
        '400':
          description: Unavailable console type
        '404':
          description: Instance not found
        '409':
          description: Console locked
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            console = client.cloud.instances.get_console(
                instance_id="instance_id",
                project_id=0,
                region_id=0,
            )
            print(console.remote_console)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tconsole, err := client.Cloud.Instances.GetConsole(\n\t\tcontext.TODO(),\n\t\t\"instance_id\",\n\t\tcloud.InstanceGetConsoleParams{\n\t\t\tProjectID: gcore.Int(0),\n\t\t\tRegionID:  gcore.Int(0),\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", console.RemoteConsole)\n}\n"
components:
  schemas:
    RemoteConsoleSerializer:
      properties:
        remote_console:
          $ref: '#/components/schemas/RemoteConsoleData'
          description: Remote console information
          examples:
            - protocol: vnc
              type: novnc
              url: >-
                https://console-novnc.example.com/vnc_auto.html?path=%3Ftoken%3Df445c4b6-0a77-4fae-bc0e-147201dbfbea
      required:
        - remote_console
      title: RemoteConsoleSerializer
      type: object
    RemoteConsoleData:
      properties:
        protocol:
          title: Protocol
          type: string
        type:
          title: Type
          type: string
        url:
          format: uri
          minLength: 1
          title: Url
          type: string
      required:
        - protocol
        - type
        - url
      title: RemoteConsoleData
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````